<?php
//session_name("/home/vitaliy/project/itmo/php_winter_2023/engine/phpsession");
session_start();

// Valid constant names
define("PASSWD", "123");
define("LOGIN", "none@none.ru");

// var_dump($_GET);

$login = $_POST['login'];
$password = $_POST['password'];

var_dump($login);
var_dump($password);

if (( $login == LOGIN ) AND ( $password == PASSWD )) {
// редирект в админку
     $_SESSION['IS_AUTH'] = true;
    //  setcookie('login', $login, time() + (86400 * 30), '/'); // 30 дней
    //  setcookie('password', $login, time() + (86400 * 30), '/'); // 30 дней
    // header("Set-Cookie: login=$login;  Secure; Path=/; SameSite=None; Partitioned;");
    //  header("Set-Cookie: passwd=$password;  Secure; Path=/; SameSite=None; Partitioned;");
    // header('Location: http://localhost:8080/admin.php');
} else {
// редирект на форму логина с предупреждением
    header('Location: http://localhost:8080/index.php');
}



echo("LOGIN HANDLER");

